/*-
 * ========================LICENSE_START=================================
 * O-RAN-SC
 * %%
 * Copyright (C) 2023 Nordix Foundation
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================LICENSE_END===================================
 */

package org.oran.pmproducer.repository;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

import org.oran.pmproducer.configuration.ApplicationConfig;

@ToString
@Builder
public class InfoType {

    @Getter
    private String id;

    @Getter
    @Builder.Default
    private boolean useHttpProxy = false;

    @Getter
    private String kafkaInputTopic;

    @Getter
    private String inputJobType;

    @Getter
    private Object inputJobDefinition;

    public String getKafkaGroupId() {
        return this.kafkaInputTopic == null ? null : "osc-pm_producer-" + getId();
    }

    public String getKafkaClientId(ApplicationConfig appConfig) {
        return this.kafkaInputTopic == null ? null : getId() + "_" + appConfig.getSelfUrl();

    }
}
